package com.jscape.util.cli.ext;

/**
 * A command line option.
 *
 * @author Alex Usun
 */
public interface Option {

    /**
     * Checks if option is present and parsed.
     *
     * @return <code>true</code> if option is present; <code>false</code> otherwise
     */
    boolean present();

    /**
     * Resets an option state.
     */
    void reset();
}
